import './Popup.styles_z9p93t.css';
import { styled } from '@linaria/react';
import { IconResizeDiagonal } from '../_Icon/Icons/IconResizeDiagonal.js';
import { DEFAULT_Z_INDEX } from './utils/index.js';

var base = "bwjmnq2";
var StyledPortal = /*#__PURE__*/styled('div')({
  name: "StyledPortal",
  "class": "s1r7sl90",
  propsAsIs: false
});
var StyledPortalContainer = /*#__PURE__*/styled('div')({
  name: "StyledPortalContainer",
  "class": "sbnyr7z",
  propsAsIs: false
});
var PopupView = /*#__PURE__*/styled('div')({
  name: "PopupView",
  "class": "pwid3xe",
  propsAsIs: false
});
var _exp4 = function _exp4() {
  return function (_ref) {
    var frame = _ref.frame,
      positionFixed = _ref.positionFixed;
    return frame === 'document' || positionFixed ? 'fixed' : 'absolute';
  };
};
var _exp5 = function _exp5() {
  return function (_ref2) {
    var zIndex = _ref2.zIndex;
    return zIndex || DEFAULT_Z_INDEX;
  };
};
var _exp6 = function _exp6() {
  return function (_ref3) {
    var position = _ref3.position;
    return position.left || '';
  };
};
var _exp7 = function _exp7() {
  return function (_ref4) {
    var position = _ref4.position;
    return position.right || '';
  };
};
var _exp8 = function _exp8() {
  return function (_ref5) {
    var position = _ref5.position;
    return position.top || '';
  };
};
var _exp9 = function _exp9() {
  return function (_ref6) {
    var position = _ref6.position;
    return position.bottom || '';
  };
};
var _exp0 = function _exp0() {
  return function (_ref7) {
    var position = _ref7.position;
    return position.transform || '';
  };
};
var PopupRootContainer = /*#__PURE__*/styled('div')({
  name: "PopupRootContainer",
  "class": "p1x42imz",
  propsAsIs: false,
  vars: {
    "p1x42imz-0": [/*#__PURE__*/_exp4()],
    "p1x42imz-1": [/*#__PURE__*/_exp5()],
    "p1x42imz-2": [/*#__PURE__*/_exp6()],
    "p1x42imz-3": [/*#__PURE__*/_exp7()],
    "p1x42imz-4": [/*#__PURE__*/_exp8()],
    "p1x42imz-5": [/*#__PURE__*/_exp9()],
    "p1x42imz-6": [/*#__PURE__*/_exp0()]
  }
});
var _exp1 = function _exp1() {
  return IconResizeDiagonal;
};
var IconResizeDiagonalStyled = /*#__PURE__*/styled(_exp1())({
  name: "IconResizeDiagonalStyled",
  "class": "i42i5x0",
  propsAsIs: true
});

export { IconResizeDiagonalStyled, PopupRootContainer, PopupView, StyledPortal, StyledPortalContainer, base };
